import csv
import os
import Apikeys
import requests

apikey = Apikeys.DOUGLASELLIMAN
cmd = "touch ~/Downloads/Spark_Categories.csv"

os.system(cmd)
url = "https://api.northpass.com/v2/categories?limit=100"
headers = {
    "accept": "application/json",
    "X-Api-Key" : apikey,
}
response = requests.get(url, headers=headers)
response = response.json()

for item in response['data']:
    id = item['id']
    name = item['attributes']['name']
    with open('/Users/normrasmussen/Downloads/Spark_Categories.csv', 'a', newline='') as csvfile:
        writer = csv.writer(csvfile, delimiter=',', quotechar='|', quoting=csv.QUOTE_MINIMAL)
        writer.writerow([name, id,])
    # print(f"Category: {name} and ID: {id}")

with open('/Users/normrasmussen/Downloads/Spark_Categories.csv', 'r') as readfile:
    reader = csv.reader(readfile)
    for row in reader:
        print(row)

